# Changelog

## [2.0.0] - 2025-01-07
### 🔥 Breaking Changes
- Switched to **ES Modules (`"type": "module"`)**.
  - CommonJS (`require()`) is no longer supported.
  - Use `import { yourFunction } from 'use-axios-loader'` instead.
- Dropped support for **Node.js < 20**.
  - Minimum required Node.js version: **22** (as per `engines.node` in `package.json`).

### 🚀 Improvements
- Updated dependencies to latest versions.
- Optimized package build process.

### ⚠️ Migration Guide
1. Ensure your project supports **ES Modules (ESM)**.
2. If using CommonJS, update your imports:
   ```js
   // ❌ Old (CommonJS)
   const { useAxiosLoader } = require('use-axios-loader');

   // ✅ New (ES Modules)
   import { useAxiosLoader } from 'use-axios-loader';
